[libcamera-devel] [PATCH 2/8] utils: update-mojo.sh: Exit immediately on error
Laurent Pinchart
laurent.pinchart at ideasonboard.com
Thu Jan 4 16:15:42 CET 2024
If an error occurs there's no point in ignoring it silently and
continuing. Exit immediately.
Signed-off-by: Laurent Pinchart <laurent.pinchart at ideasonboard.com>
---
utils/update-mojo.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/utils/update-mojo.sh b/utils/update-mojo.sh
index 967d139a3f70..831f5ab8753b 100755
--- a/utils/update-mojo.sh
+++ b/utils/update-mojo.sh
@@ -3,6 +3,8 @@
# SPDX-License-Identifier: GPL-2.0-or-later
# Update mojo copy from a chromium source tree
+set -e
+
if [ $# != 1 ] ; then
echo "Usage: $0 <chromium dir>"
exit 1
--
Regards,
Laurent Pinchart
More information about the libcamera-devel
mailing list